# encoding: UTF-8; frozen_string_literal: true
# See `doc/locales.md`. English (en) is the original language.
en:
  redacted: "[REDACTED]"
  activerecord:
    errors:
      models:
        map:
          attributes:
            zoom:
              wrong_value: "Zoom must be between 1 and 18"
  api:
    errors:
      bearer_token_not_implemented: "Bearer token authentication is not ready yet. Use api_key instead."
      invalid_auth_token: "Missing 'api_key' or 'auth_token' in Query string, or a valid Authorization header."
      invalid_authorization_header: "Authorization header contains garbage."
      model_types_not_implemented: "#model_types must set an array of available relationships in this controller."
      not_found: "Not found"
      unauthorized: "Authentication failed."
      unknown_relationship: "Unknown JSONAPI resource relationship."
    help:
      locale_and_i18n: "You can pass 'locale=fr' to switch current locale. Check link for translations!"
      not_found: "No route to /%{path}"
      params_include: "Query parameter 'include' should be one or more of %{model_types}."
      remember_to_use_api_key: "Remember: you should always pass api_key with your request."
      retry_with_api_key: "Try calling: %{url} instead."
      unauthorized: "Authentication failed. Did you pass a valid 'api_key' or 'auth_token'? (%{kind})"
      unknown_relationship: "Failed: %{relationship}. Known relationships are: %{known}."
    index: |
      Welcome to Incommon API. The public API key is given along with this comment.
      Please refer to documentation to get started!
  pundit:
    authorization_error: 'IN COMMON API went ape! (Authorization Policy Error)'
    default: 'You cannot perform this action.'
    agent_policy:
      show?: 'Record is not yours or not public.'
    email_policy:
      index?: 'You cannot list emails.'      
    post_policy:
      update?: 'You cannot edit this post!'
      create?: 'You cannot create posts!'
